package id.co.sangkuriang.inovasi.daerah.master.model.request

import id.co.sangkuriang.inovasi.daerah.master.constant.VALIDATOR_MSG_REQUIRED
import org.springframework.web.multipart.MultipartFile
import javax.validation.constraints.NotEmpty

data class ApplicationCategoryRequest(

    @field:NotEmpty(message = "Nama $VALIDATOR_MSG_REQUIRED")
    var name: String? = null,

    var icon: MultipartFile? = null,

    var image: MultipartFile? = null
)
