package id.co.sangkuriang.inovasi.daerah.master.service

import id.co.sangkuriang.inovasi.daerah.master.model.request.ApplicationCategoryRequest
import id.co.sangkuriang.inovasi.daerah.master.model.request.DeleteDataRequest
import id.co.sangkuriang.inovasi.daerah.master.model.request.PaginationRequest
import org.springframework.http.ResponseEntity
import javax.servlet.http.HttpServletRequest

interface ApplicationCategoryService {

    fun getAll(page: PaginationRequest): ResponseEntity<*>?

    fun getDetail(id: String): ResponseEntity<*>?

    fun saveData(request: ApplicationCategoryRequest, httpServletRequest: HttpServletRequest): ResponseEntity<*>?

    fun updateData(
        id: String,
        request: ApplicationCategoryRequest,
        httpServletRequest: HttpServletRequest
    ): ResponseEntity<*>?

    fun deleteData(request: DeleteDataRequest): ResponseEntity<*>?

    fun count(): ResponseEntity<*>?
}
