package id.co.sangkuriang.inovasi.daerah.master.service

import id.co.sangkuriang.inovasi.daerah.master.model.request.DeleteDataRequest
import id.co.sangkuriang.inovasi.daerah.master.model.request.PaginationRequest
import id.co.sangkuriang.inovasi.daerah.master.pojo.Tag
import org.springframework.http.ResponseEntity

interface TagService {

    fun getAll(page: PaginationRequest): ResponseEntity<*>?

    fun getDetail(id: String): ResponseEntity<*>?

    fun saveData(request: Tag): ResponseEntity<*>?

    fun updateData(id: String, request: Tag): ResponseEntity<*>?

    fun deleteData(request: DeleteDataRequest): ResponseEntity<*>?
}
